ITR Pull
Introduction
This API allows patrons to request income tax returns (ITRs) for their users by providing essential details such as the pan and password for past 3 years. The response will contain the required ITRs in the specified format.
Sample curl
curl --location 'https://signzy.xyz/scraper-service-v2/itr/v1/pullITR' \
--header 'Content-Type: application/json' \
--data-raw '{
"pan": "<Pan Number>",
"password": "<Password>"
}'Input Parameters
Parameter | Type | Description |
|---|---|---|
pan | string | Pan number of the holder |
password | string | Password for the ITR portal of the PAN holder |
Sample Response
{
"result": {
"2022-23": {
"form": "https://persist.signzy.tech/api/files/558693763/download/9185b3b5dfb34a0291a29c27dfa761cace8b33ecce464511bb0cb391333d254e.pdf",
"json": {
"ITR": {
"ITR1": {
"CreationInfo": {},
"Form_ITR1": {},
"PersonalInfo": {},
"FilingStatus": {},
"ITR1_IncomeDeductions": {},
"ITR1_TaxComputation": {},
"TaxPaid": {},
"Refund": {},
"Schedule80G": {},
"Schedule80GGA": {},
"Schedule80D": {},
"TDSonSalaries": {},
"TDSonOthThanSals": {},
"ScheduleTDS3Dtls": {},
"ScheduleTCS": {},
"TaxPayments": {},
"Verification": {},
"TaxReturnPreparer": null
}
}
}
},
"2021-22": {
"form": "https://persist.signzy.tech/api/files/558694037/download/de970c13de9a46fd9de64c623de46829afb0745d5d5243fd923f1ba8d0c83c68.pdf",
"json": {
"ITR": {
"ITR3": {
"CreationInfo": {},
"Form_ITR3": {},
"PartA_GEN1": {},
"PartA_GEN2": {},
"PARTA_BS": {},
"ManufacturingAccount": {},
"TradingAccount": {},
"PARTA_PL": {},
"PARTA_OI": {},
"ScheduleS": {},
"ScheduleHP": {},
"ITR3ScheduleBP": {},
"ScheduleCGFor23": {},
"Schedule112A": {},
"ScheduleOS": {},
"ScheduleCYLA": {},
"ScheduleBFLA": {},
"ScheduleCFL": {},
"ITR3ScheduleUD": {},
"ScheduleICDS": {},
"Schedule80D": {},
"Schedule80_IA": {},
"Schedule80_IB": {},
"Schedule80_IC": {},
"ScheduleVIA": {},
"ScheduleAMT": {},
"ScheduleAMTC": {},
"ScheduleSI": {},
"ScheduleTR1": {},
"PartB-TI": {},
"PartB_TTI": {},
"ScheduleIT": {},
"ScheduleTDS1": {},
"ScheduleTDS2": {},
"ScheduleTDS3": {},
"ScheduleTCS": {},
"Verification": {},
"PARTA_QD": null,
"ScheduleDPM": null,
"ScheduleDOA": null,
"ScheduleDEP": null,
"ScheduleDCG": null,
"ScheduleESR": null,
"Schedule115AD": null,
"ScheduleVDA": null,
"Schedule10AA": null,
"Schedule80G": null,
"Schedule80GGA": null,
"Schedule80RA": null,
"ScheduleSPI": null,
"ScheduleIF": null,
"ScheduleEI": null,
"SchedulePTI": null,
"ScheduleTPSA": null,
"ScheduleFSI": null,
"ScheduleFA": null,
"Schedule5A2014": null,
"ScheduleAL": null,
"ScheduleGST": null,
"TaxReturnPreparer": null,
"ScheduleESOP": null
}
}
}
},
"2020-21": {
"form": "https://persist.signzy.tech/api/files/558694095/download/2d389c6b003b4167a344cdc43cd638a2db4cd9234bc34f22a99ed09ba89d031f.pdf",
"json": {
"ITR": {
"ITR1": {
"CreationInfo": {},
"Form_ITR1": {},
"PersonalInfo": {},
"FilingStatus": {},
"ITR1_IncomeDeductions": {},
"ITR1_TaxComputation": {},
"TaxPaid": {},
"Refund": {},
"ScheduleDI": null,
"Schedule80D": {},
"Verification": {},
"Schedule80G": null,
"Schedule80GGA": null,
"TDSonSalaries": null,
"TDSonOthThanSals": null,
"ScheduleTDS3Dtls": null,
"ScheduleTCS": null,
"TaxPayments": null,
"TaxReturnPreparer": null
}
}
}
}
}
}Output Parameters
Parameter | Type | Description |
|---|---|---|
result | object | Entire result |
result.[assessment-year] | object | ITR for given assessment year. eg. result[2022-23] |
result.[assessment-year].form | string | Pdf form of ITR |
result.[assessment-year].json | object | JSON object of ITR |
result.[assessment-year].json.ITR | object | Contains the ITR object. It can be any one of ITR1, ITR2, ITR3, ITR4, ITR5, ITR6, ITR7 |
ITR Schemas
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"additionalProperties": false,
"properties": {
"ITR": {
"$ref": "#/definitions/ITR"
}
},
"definitions": {
"ITR": {
"type": "object",
"description": "This is root node. Only ITR 2 is Mandatory. Irrespective of Individual or bulk IT returns filed, will form the starting point and base structure for all returns JSON generation.",
"additionalProperties": false,
"properties": {
"ITR2": {
"$ref": "#/definitions/ITR2"
}
},
"required": [
"ITR2"
]
},
"ITR2": {
"type": "object",
"additionalProperties": false,
"properties": {
"CreationInfo": {
"$ref": "#/definitions/CreationInfo"
},
"Form_ITR2": {
"$ref": "#/definitions/Form_ITR2"
},
"PartA_GEN1": {
"$ref": "#/definitions/PartA_GEN1"
},
"ScheduleS": {
"$ref": "#/definitions/ScheduleS"
},
"ScheduleHP": {
"$ref": "#/definitions/ScheduleHP"
},
"ScheduleCGFor23": {
"$ref": "#/definitions/ScheduleCGFor23"
},
"Schedule112A": {
"$ref": "#/definitions/Schedule112A"
},
"Schedule115AD": {
"$ref": "#/definitions/Schedule115AD"
},
"ScheduleVDA": {
"$ref": "#/definitions/ScheduleVDA"
},
"ScheduleOS": {
"$ref": "#/definitions/ScheduleOS"
},
"ScheduleCYLA": {
"$ref": "#/definitions/ScheduleCYLA"
},
"ScheduleBFLA": {
"$ref": "#/definitions/ScheduleBFLA"
},
"ScheduleCFL": {
"$ref": "#/definitions/ScheduleCFL"
},
"ScheduleVIA": {
"$ref": "#/definitions/ScheduleVIA"
},
"Schedule80D": {
"$ref": "#/definitions/Schedule80D"
},
"Schedule80G": {
"$ref": "#/definitions/Schedule80G"
},
"Schedule80GGA": {
"$ref": "#/definitions/Schedule80GGA"
},
"ScheduleAMT": {
"$ref": "#/definitions/ScheduleAMT"
},
"ScheduleAMTC": {
"$ref": "#/definitions/ScheduleAMTC"
},
"ScheduleSPI": {
"$ref": "#/definitions/ScheduleSPI"
},
"ScheduleSI": {
"$ref": "#/definitions/ScheduleSI"
},
"ScheduleEI": {
"$ref": "#/definitions/ScheduleEI"
},
"SchedulePTI": {
"$ref": "#/definitions/SchedulePTI"
},
"ScheduleFSI": {
"$ref": "#/definitions/ScheduleFSI"
},
"ScheduleTR1": {
"$ref": "#/definitions/ScheduleTR1"
},
"ScheduleFA": {
"$ref": "#/definitions/ScheduleFA"
},
"Schedule5A2014": {
"$ref": "#/definitions/Schedule5A2014"
},
"ScheduleAL": {
"$ref": "#/definitions/ScheduleAL"
},
"PartB-TI": {
"$ref": "#/definitions/PartB-TI"
},
"PartB_TTI": {
"$ref": "#/definitions/PartB_TTI"
},
"ScheduleIT": {
"$ref": "#/definitions/ScheduleIT"
},
"ScheduleTDS1": {
"$ref": "#/definitions/ScheduleTDS1"
},
"ScheduleTDS2": {
"$ref": "#/definitions/ScheduleTDS2"
},
"ScheduleTDS3": {
"$ref": "#/definitions/ScheduleTDS3"
},
"ScheduleTCS": {
"$ref": "#/definitions/ScheduleTCS"
},
"Verification": {
"$ref": "#/definitions/Verification"
},
"TaxReturnPreparer": {
"$ref": "#/definitions/TaxReturnPreparer"
},
"ScheduleESOP": {
"$ref": "#/definitions/ScheduleESOP"
}
},
"required": [
"CreationInfo",
"Form_ITR2",
"PartA_GEN1",
"ScheduleCYLA",
"ScheduleBFLA",
"PartB-TI",
"PartB_TTI",
"Verification"
]
},
"CreationInfo": {
"type": "object",
"description": "This element will be used by third party vendors and intermediaries to give details of their software or JSON creation.",
"additionalProperties": false,
"properties": {
"SWVersionNo": {
"maxLength": 10,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
],
"default": "1.0"
},
"SWCreatedBy": {
"pattern": "[S][W][0-9]{8}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"JSONCreatedBy": {
"pattern": "[S][W][0-9]{8}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"JSONCreationDate": {
"description": "Date in YYYY-MM-DD format on or after 2023-04-01",
"type": "string",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"IntermediaryCity": {
"maxLength": 25,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
],
"default": "Delhi"
},
"Digest": {
"pattern": "-|.{44}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"SWVersionNo",
"SWCreatedBy",
"JSONCreatedBy",
"JSONCreationDate",
"IntermediaryCity",
"Digest"
]
},
"Form_ITR2": {
"type": "object",
"additionalProperties": false,
"properties": {
"FormName": {
"pattern": "ITR-2",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"Description": {
"description": "For Individuals and HUFs not having income from profits and gains of business or profession",
"maxLength": 100,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AssessmentYear": {
"pattern": "2023",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"SchemaVer": {
"maxLength": 10,
"minLength": 1,
"pattern": "Ver1.0",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"FormVer": {
"maxLength": 10,
"minLength": 1,
"pattern": "Ver1.0",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"FormName",
"Description",
"AssessmentYear",
"SchemaVer",
"FormVer"
]
},
"PartA_GEN1": {
"type": "object",
"description": "General",
"additionalProperties": false,
"properties": {
"PersonalInfo": {
"$ref": "#/definitions/PersonalInfo"
},
"FilingStatus": {
"$ref": "#/definitions/FilingStatus"
}
},
"required": [
"PersonalInfo",
"FilingStatus"
]
},
"PersonalInfo": {
"type": "object",
"description": "Enter personal information",
"additionalProperties": false,
"properties": {
"AssesseeName": {
"$ref": "#/definitions/AssesseeName"
},
"PAN": {
"pattern": "[A-Z]{5}[0-9]{4}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"Address": {
"$ref": "#/definitions/Address"
},
"DOB": {
"description": "Date of birth of Assessee - On or before 2023-03-31",
"type": "string",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"Status": {
"type": "string",
"description": "I - Individual; H - HUF",
"enum": [
"I",
"H"
]
},
"AadhaarCardNo": {
"pattern": "[0-9]{12}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AadhaarEnrolmentId": {
"pattern": "[0-9]{28}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"AssesseeName",
"PAN",
"Address",
"DOB",
"Status"
]
},
"AssesseeName": {
"type": "object",
"description": "Assessee name with Surname mandatory",
"additionalProperties": false,
"properties": {
"FirstName": {
"maxLength": 25,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"MiddleName": {
"maxLength": 25,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"SurNameOrOrgName": {
"description": "Enter Last or Sur name for Individual or HUF name here",
"maxLength": 75,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"SurNameOrOrgName"
]
},
"Address": {
"type": "object",
"additionalProperties": false,
"properties": {
"ResidenceNo": {
"maxLength": 50,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"ResidenceName": {
"maxLength": 50,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"RoadOrStreet": {
"maxLength": 50,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"LocalityOrArea": {
"maxLength": 50,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CityOrTownOrDistrict": {
"maxLength": 50,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"StateCode": {
"$ref": "#/definitions/StateCode"
},
"CountryCode": {
"$ref": "#/definitions/CountryCode"
},
"PinCode": {
"type": "integer",
"maximum": 999999,
"minimum": 100000,
"exclusiveMinimum": false,
"pattern": "[1-9]{1}[0-9]{5}"
},
"ZipCode": {
"maxLength": 8,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"Phone": {
"type": "object",
"additionalProperties": false,
"properties": {
"STDcode": {
"type": "integer",
"maximum": 99999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"PhoneNo": {
"type": "string",
"pattern": "[0-9]{1,10}",
"default": "0"
}
},
"required": [
"STDcode",
"PhoneNo"
]
},
"CountryCodeMobile": {
"type": "integer",
"pattern": "[0-9]{1,5}"
},
"MobileNo": {
"type": "integer",
"pattern": "[1-9]{1}[0-9]{9}|[1-9]{1}[0-9]{4,9}"
},
"CountryCodeMobileNoSec": {
"type": "integer",
"pattern": "[0-9]{1,5}"
},
"MobileNoSec": {
"type": "integer",
"pattern": "[1-9]{1}[0-9]{9}|[1-9]{1}[0-9]{4,9}"
},
"EmailAddress": {
"maxLength": 125,
"minLength": 1,
"pattern": "([\\.a-zA-Z0-9_\\-])+@([a-zA-Z0-9_\\-])+(([a-zA-Z0-9_\\-])*\\.([a-zA-Z0-9_\\-])+)+",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"EmailAddressSec": {
"maxLength": 125,
"pattern": "([\\.a-zA-Z0-9_\\-])+@([a-zA-Z0-9_\\-])+(([a-zA-Z0-9_\\-])*\\.([a-zA-Z0-9_\\-])+)+",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"ResidenceNo",
"LocalityOrArea",
"CityOrTownOrDistrict",
"StateCode",
"CountryCode",
"CountryCodeMobile",
"MobileNo",
"EmailAddress"
]
},
"FilingStatus": {
"type": "object",
"additionalProperties": false,
"properties": {
"ReturnFileSec": {
"type": "integer",
"description": "11 - 139(1)-On or before due date; 12 - 139(4)-After due date; 13 - 142(1); 14 - 148;16 : 153C; 17 - 139(5)-Revised Return; 18 - 139(9); 19 - 92CD-Modified return; 20 - 119(2)(b)-after condonation of delay",
"enum": [
11,
12,
13,
14,
16,
17,
18,
19,
20
],
"maximum": 20,
"minimum": 11,
"exclusiveMinimum": false,
"default": 11
},
"NewTaxRegime": {
"pattern": "Y|N",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
],
"default": "N"
},
"SeventhProvisio139": {
"pattern": "Y|N",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"DepAmtAggAmtExcd1CrPrYrFlg": {
"pattern": "Y|N",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AmtSeventhProvisio139i": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 10000000,
"exclusiveMinimum": false
},
"IncrExpAggAmt2LkTrvFrgnCntryFlg": {
"pattern": "Y|N",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AmtSeventhProvisio139ii": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 200000,
"exclusiveMinimum": false
},
"IncrExpAggAmt1LkElctrctyPrYrFlg": {
"pattern": "Y|N",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AmtSeventhProvisio139iii": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 100000,
"exclusiveMinimum": false
},
"clauseiv7provisio139i": {
"pattern": "Y|N",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"clauseiv7provisio139iDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/clauseiv7provisio139iType"
}
},
"NoticeNo": {
"maxLength": 100,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"NoticeDate": {
"type": "string",
"description": "Enter date when the notice was issued to the assessee in YYYY-MM-DD format",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"ReceiptNo": {
"type": "string",
"description": "Enter Acknowledgment No. of Original return",
"pattern": "[0-9]{15}"
},
"OrigRetFiledDate": {
"type": "string",
"description": "Enter Date of filing of Original return in YYYY-MM-DD format",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"ResidentialStatus": {
"description": "RES - Resident; NRI - Non Resident; NOR - Resident but not Ordinarily resident",
"enum": [
"RES",
"NRI",
"NOR"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"ConditionsResStatus": {
"description": "1 : You were in India for 182 days or more during the previous year [section 6(1)(a)]; 2 : You were in India for 60 days or more during the previous year, and have been in India for 365 days or more within the 4 preceding years [section (6)(1)(c)] [where Explanation 1 is not applicable]; 3 : You have been a non-resident in India in 9 out of 10 preceding years [section 6(6)(a)]; 4 : You have been in India for 729 days or less during the 7 preceding years [section 6(6)(a)]; 5 : You were a non-resident during the previous year; 6 : You are a citizen of India or person of Indian origin, who comes on a visit to India, having total income, other than the income from foreign sources, exceeding Rs. 15 lakh and have been in India for 120 days or more but less than 182 days during the previous year [section 6(6)(c)]; 7 : You are a citizen of India having total income, other than the income from foreign sources, exceeding Rs. 15 lakh during the previous year and not liable to tax in any other country or territory by reason of your domicile or residence or any other criteria of similar nature [section 6(6)(d) rws 6(1A)]; 8 : You are a citizen of India, who left India, for the purpose of employment, as a member of the crew of an Indian ship and were in India for 182 days or more during the previous year and 365 days or more within the preceding 4 years [Explanation 1(a) of section (6)(1)(c)]; 9 : You are a citizen of India or a person of Indian origin and have come on a visit to India during the previous year and were in India for a) 182 days or more during the previous year and 365 days or more within the preceding 4 years; or b) 120 days or more during the previous year and 365 days or more within the preceding 4 years if the total income, other than income from foreign sources, exceeds Rs. 15 lakh. [Explanation 1(b) of section (6)(1)(c)]",
"enum": [
"1",
"2",
"3",
"4",
"5",
"6",
"7",
"8",
"9"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"JurisdictionResPrevYr": {
"type": "object",
"additionalProperties": false,
"properties": {
"JurisdictionResPrevYrDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/JurisdictionResPrevYrDtls"
}
}
}
},
"TotalPrStayIndiaPrevYr": {
"type": "integer",
"maximum": 365,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalPrStayIndia4PrecYr": {
"type": "integer",
"maximum": 1461,
"minimum": 0,
"exclusiveMinimum": false
},
"BenefitUs115HFlg": {
"description": "Y-YES; N-NO",
"enum": [
"Y",
"N"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AsseseeRepFlg": {
"description": "Y - Yes; N - No",
"enum": [
"Y",
"N"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AssesseeRep": {
"$ref": "#/definitions/AssesseeRep"
},
"PortugeseCC5A": {
"description": "Y - Yes; N - No",
"enum": [
"Y",
"N"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"FiiFpiFlag": {
"description": "Whether you are an FII/FPI?; Y - Yes; N - No",
"enum": [
"Y",
"N"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"SebiRegnNo": {
"description": "if above field is selected as yes, provide SEBI Registration Number.",
"pattern": "[a-zA-Z0-9]{12}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CompDirectorPrvYrFlg": {
"description": "Y - Yes; N - No",
"enum": [
"Y",
"N"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CompDirectorPrvYr": {
"type": "object",
"additionalProperties": false,
"properties": {
"CompDirectorPrvYrDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/CompDirectorPrvYrDtls"
}
}
}
},
"HeldUnlistedEqShrPrYrFlg": {
"description": "Y - Yes; N - No",
"enum": [
"Y",
"N"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"HeldUnlistedEqShrPrYr": {
"type": "object",
"additionalProperties": false,
"properties": {
"HeldUnlistedEqShrPrYrDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/HeldUnlistedEqShrPrYrDtls"
}
}
}
}
},
"required": [
"ReturnFileSec",
"NewTaxRegime",
"SeventhProvisio139",
"ResidentialStatus",
"HeldUnlistedEqShrPrYrFlg"
]
},
"clauseiv7provisio139iType": {
"type": "object",
"additionalProperties": false,
"properties": {
"clauseiv7provisio139iNature": {
"type": "string",
"description": "1 - the aggregate of tax deducted at source and tax collected at source during the previous year, in the case of the person, is twenty-five thousand rupees (fifty-thousand for resident senior citizen) or more; 2 - The deposit in one or more savings bank account of the person, in aggregate, is fifty lakh rupees or more, in the previous year",
"enum": [
"1",
"2"
]
},
"clauseiv7provisio139iAmount": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"clauseiv7provisio139iNature",
"clauseiv7provisio139iAmount"
]
},
"JurisdictionResPrevYrDtls": {
"type": "object",
"additionalProperties": false,
"properties": {
"JurisdictionResidence": {
"description": "93:AFGHANISTAN; 1001:ÅLAND ISLANDS; 355:ALBANIA; 213:ALGERIA; 684:AMERICAN SAMOA; 376:ANDORRA; 244:ANGOLA; 1264:ANGUILLA; 1010:ANTARCTICA; 1268:ANTIGUA AND BARBUDA; 54:ARGENTINA; 374:ARMENIA; 297:ARUBA; 61:AUSTRALIA; 43:AUSTRIA; 994:AZERBAIJAN; 1242:BAHAMAS; 973:BAHRAIN; 880:BANGLADESH; 1246:BARBADOS; 375:BELARUS; 32:BELGIUM; 501:BELIZE; 229:BENIN; 1441:BERMUDA; 975:BHUTAN; 591:BOLIVIA (PLURINATIONAL STATE OF); 1002:BONAIRE, SINT EUSTATIUS AND SABA; 387:BOSNIA AND HERZEGOVINA; 267:BOTSWANA; 1003:BOUVET ISLAND; 55:BRAZIL; 1014:BRITISH INDIAN OCEAN TERRITORY; 673:BRUNEI DARUSSALAM; 359:BULGARIA; 226: BURKINA FASO; 257:BURUNDI; 238:CABO VERDE; 855:CAMBODIA; 237:CAMEROON; 1:CANADA; 1345:CAYMAN ISLANDS; 236:CENTRAL AFRICAN REPUBLIC; 235:CHAD; 56:CHILE; 86:CHINA; 9:CHRISTMAS ISLAND; 672:COCOS (KEELING) ISLANDS; 57:COLOMBIA; 270:COMOROS; 242:CONGO; 243:CONGO (DEMOCRATIC REPUBLIC OF THE); 682:COOK ISLANDS; 506:COSTA RICA; 225:CÔTE D'IVOIRE; 385:CROATIA; 53:CUBA; 1015:CURAÇAO; 357:CYPRUS; 420:CZECHIA; 45:DENMARK; 253:DJIBOUTI; 1767:DOMINICA; 1809:DOMINICAN REPUBLIC; 593:ECUADOR; 20:EGYPT; 503:EL SALVADOR; 240:EQUATORIAL GUINEA; 291:ERITREA; 372:ESTONIA; 251:ETHIOPIA; 500:FALKLAND ISLANDS (MALVINAS); 298:FAROE ISLANDS; 679:FIJI; 358:FINLAND; 33:FRANCE; 594:FRENCH GUIANA; 689:FRENCH POLYNESIA; 1004:FRENCH SOUTHERN TERRITORIES; 241:GABON; 220:GAMBIA; 995:GEORGIA; 49:GERMANY; 233:GHANA; 350:GIBRALTAR; 30:GREECE; 299:GREENLAND; 1473:GRENADA; 590:GUADELOUPE; 1671:GUAM; 502:GUATEMALA; 1481:GUERNSEY; 224:GUINEA; 245:GUINEA-BISSAU; 592:GUYANA; 509:HAITI; 1005:HEARD ISLAND AND MCDONALD ISLANDS; 6:HOLY SEE; 504:HONDURAS; 852:HONG KONG; 36:HUNGARY; 354:ICELAND; 62:INDONESIA; 98:IRAN (ISLAMIC REPUBLIC OF); 964:IRAQ; 353:IRELAND; 1624:ISLE OF MAN; 972:ISRAEL; 5:ITALY; 1876:JAMAICA; 81:JAPAN; 1534:JERSEY; 962:JORDAN; 7:KAZAKHSTAN; 254:KENYA; 686:KIRIBATI; 850:KOREA(DEMOCRATIC PEOPLE'S REPUBLIC OF); 82:KOREA (REPUBLIC OF); 965:KUWAIT; 996:KYRGYZSTAN; 856:LAO PEOPLE'S DEMOCRATIC REPUBLIC; 371:LATVIA; 961:LEBANON; 266:LESOTHO; 231:LIBERIA; 218:LIBYA; 423:LIECHTENSTEIN; 370:LITHUANIA; 352:LUXEMBOURG; 853:MACAO; 389:MACEDONIA(THE FORMER YUGOSLAV REPUBLIC OF); 261:MADAGASCAR; 256:MALAWI; 60:MALAYSIA; 960:MALDIVES; 223:MALI; 356:MALTA; 692:MARSHALL ISLANDS; 596:MARTINIQUE; 222:MAURITANIA; 230:MAURITIUS; 269:MAYOTTE; 52:MEXICO; 691:MICRONESIA (FEDERATED STATES OF); 373:MOLDOVA (REPUBLIC OF); 377:MONACO; 976:MONGOLIA; 382:MONTENEGRO; 1664:MONTSERRAT; 212:MOROCCO; 258:MOZAMBIQUE; 95:MYANMAR; 264:NAMIBIA; 674:NAURU; 977:NEPAL; 31:NETHERLANDS; 687:NEW CALEDONIA; 64:NEW ZEALAND; 505:NICARAGUA; 227:NIGER; 234:NIGERIA; 683:NIUE; 15:NORFOLK ISLAND; 1670:NORTHERN MARIANA ISLANDS; 47:NORWAY; 968:OMAN; 92:PAKISTAN; 680:PALAU; 970:PALESTINE, STATE OF; 507:PANAMA; 675:PAPUA NEW GUINEA; 595:PARAGUAY; 51:PERU; 63:PHILIPPINES; 1011:PITCAIRN; 48:POLAND; 14:PORTUGAL; 1787:PUERTO RICO; 974:QATAR; 262:RÉUNION; 40:ROMANIA; 8:RUSSIAN FEDERATION; 250:RWANDA; 1006:SAINT BARTHÉLEMY; 290: SAINT HELENA, ASCENSION AND TRISTAN DA CUNHA; 1869:SAINT KITTS AND NEVIS; 1758:SAINT LUCIA; 1007:SAINT MARTIN (FRENCH PART); 508:SAINT PIERRE AND MIQUELON; 1784:SAINT VINCENT AND THE GRENADINES; 685:SAMOA; 378:SAN MARINO; 239:SAO TOME AND PRINCIPE; 966:SAUDI ARABIA; 221:SENEGAL; 381:SERBIA; 248:SEYCHELLES; 232:SIERRA LEONE; 65:SINGAPORE; 1721:SINT MAARTEN (DUTCH PART); 421:SLOVAKIA; 386:SLOVENIA; 677:SOLOMON ISLANDS; 252:SOMALIA; 28:SOUTH AFRICA; 1008:SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS; 211:SOUTH SUDAN; 35:SPAIN; 94:SRI LANKA; 249:SUDAN; 597:SURINAME; 1012:SVALBARD AND JAN MAYEN; 268:SWAZILAND; 46:SWEDEN; 41:SWITZERLAND; 963:SYRIAN ARAB REPUBLIC; 886:TAIWAN; 992:TAJIKISTAN; 255:TANZANIA, UNITED REPUBLIC OF; 66:THAILAND; 670:TIMOR-LESTE (EAST TIMOR); 228:TOGO; 690:TOKELAU; 676:TONGA; 1868:TRINIDAD AND TOBAGO; 216:TUNISIA; 90:TURKEY; 993:TURKMENISTAN; 1649:TURKS AND CAICOS ISLANDS; 688:TUVALU; 256:UGANDA; 380:UKRAINE; 971:UNITED ARAB EMIRATES; 44:UNITED KINGDOM OF GREAT BRITAIN AND NORTHERN IRELAND; 2:UNITED STATES OF AMERICA; 1009:UNITED STATES MINOR OUTLYING ISLANDS; 598:URUGUAY; 998:UZBEKISTAN; 678:VANUATU; 58:VENEZUELA (BOLIVARIAN REPUBLIC OF); 84:VIET NAM; 1284:VIRGIN ISLANDS (BRITISH); 1340:VIRGIN ISLANDS (U.S.); 681:WALLIS AND FUTUNA; 1013:WESTERN SAHARA; 967:YEMEN; 260:ZAMBIA; 263:ZIMBABWE; 9999:OTHERS; 9998:Not Applicable (Not Resident in any Country)",
"enum": [
"93",
"1001",
"355",
"213",
"684",
"376",
"244",
"1264",
"1010",
"1268",
"54",
"374",
"297",
"61",
"43",
"994",
"1242",
"973",
"880",
"1246",
"375",
"32",
"501",
"229",
"1441",
"975",
"591",
"1002",
"387",
"267",
"1003",
"55",
"1014",
"673",
"359",
"226",
"257",
"238",
"855",
"237",
"1",
"1345",
"236",
"235",
"56",
"86",
"9",
"672",
"57",
"270",
"242",
"243",
"682",
"506",
"225",
"385",
"53",
"1015",
"357",
"420",
"45",
"253",
"1767",
"1809",
"593",
"20",
"503",
"240",
"291",
"372",
"251",
"500",
"298",
"679",
"358",
"33",
"594",
"689",
"1004",
"241",
"220",
"995",
"49",
"233",
"350",
"30",
"299",
"1473",
"590",
"1671",
"502",
"1481",
"224",
"245",
"592",
"509",
"1005",
"6",
"504",
"852",
"36",
"354",
"62",
"98",
"964",
"353",
"1624",
"972",
"5",
"1876",
"81",
"1534",
"962",
"7",
"254",
"686",
"850",
"82",
"965",
"996",
"856",
"371",
"961",
"266",
"231",
"218",
"423",
"370",
"352",
"853",
"389",
"261",
"265",
"60",
"960",
"223",
"356",
"692",
"596",
"222",
"230",
"269",
"52",
"691",
"373",
"377",
"976",
"382",
"1664",
"212",
"258",
"95",
"264",
"674",
"977",
"31",
"687",
"64",
"505",
"227",
"234",
"683",
"15",
"1670",
"47",
"968",
"92",
"680",
"970",
"507",
"675",
"595",
"51",
"63",
"1011",
"48",
"14",
"1787",
"974",
"262",
"40",
"8",
"250",
"1006",
"290",
"1869",
"1758",
"1007",
"508",
"1784",
"685",
"378",
"239",
"966",
"221",
"381",
"248",
"232",
"65",
"1721",
"421",
"386",
"677",
"252",
"28",
"1008",
"211",
"35",
"94",
"249",
"597",
"1012",
"268",
"46",
"41",
"963",
"886",
"992",
"255",
"66",
"670",
"228",
"690",
"676",
"1868",
"216",
"90",
"993",
"1649",
"688",
"256",
"380",
"971",
"44",
"2",
"1009",
"598",
"998",
"678",
"58",
"84",
"1284",
"1340",
"681",
"1013",
"967",
"260",
"263",
"9999",
"9998"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"TIN": {
"maxLength": 75,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"JurisdictionResidence",
"TIN"
]
},
"AssesseeRep": {
"type": "object",
"description": "Assessee representative",
"additionalProperties": false,
"properties": {
"RepName": {
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"RepCapacity": {
"description": "L - Legal Heir; M - Manager; G - Guardian; O - Other",
"enum": [
"L",
"M",
"G",
"O"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"RepAddress": {
"maxLength": 250,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"RepPAN": {
"pattern": "[A-Z]{5}[0-9]{4}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"RepAadhaar": {
"pattern": "[0-9]{12}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"RepName",
"RepCapacity",
"RepAddress",
"RepPAN"
]
},
"NOT89AType": {
"type": "object",
"additionalProperties": false,
"properties": {
"NOT89ACountrycode": {
"type": "string",
"description": "US - United States; UK - United Kingdom; CA - Canada",
"enum": [
"US",
"UK",
"CA"
]
},
"NOT89AAmount": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"NOT89ACountrycode",
"NOT89AAmount"
]
},
"CompDirectorPrvYrDtls": {
"type": "object",
"additionalProperties": false,
"properties": {
"NameOfCompany": {
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CompanyType": {
"description": "D - Domestic; F - Foreign",
"enum": [
"D",
"F"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PAN": {
"pattern": "[A-Z]{5}[0-9]{4}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"SharesTypes": {
"description": "L - Listed; U - Unlisted",
"enum": [
"L",
"U"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"DIN": {
"pattern": "[0-9]{8}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"NameOfCompany",
"CompanyType",
"SharesTypes"
]
},
"HeldUnlistedEqShrPrYrDtls": {
"type": "object",
"additionalProperties": false,
"properties": {
"NameOfCompany": {
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CompanyType": {
"description": "D - Domestic; F - Foreign",
"enum": [
"D",
"F"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PAN": {
"pattern": "[A-Z]{5}[0-9]{4}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"OpngBalNumberOfShares": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"OpngBalCostOfAcquisition": {
"type": "number",
"minimum": 0,
"exclusiveMinimum": false,
"multipleOf": 0.01
},
"ShrAcqDurYrNumberOfShares": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"DateOfSubscrPurchase": {
"type": "string",
"description": "Date in YYYY-MM-DD format",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"FaceValuePerShare": {
"type": "number",
"minimum": 0,
"exclusiveMinimum": false,
"multipleOf": 0.01
},
"IssuePricePerShare": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"PurchasePricePerShare": {
"type": "number",
"minimum": 0,
"exclusiveMinimum": false,
"multipleOf": 0.01
},
"ShrTrnfNumberOfShares": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ShrTrnfSaleConsideration": {
"type": "number",
"minimum": 0,
"exclusiveMinimum": false,
"multipleOf": 0.01
},
"ClsngBalNumberOfShares": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ClsngBalCostOfAcquisition": {
"type": "number",
"minimum": 0,
"exclusiveMinimum": false,
"multipleOf": 0.01
}
},
"required": [
"NameOfCompany",
"CompanyType",
"OpngBalNumberOfShares",
"OpngBalCostOfAcquisition",
"ClsngBalNumberOfShares",
"ClsngBalCostOfAcquisition"
]
},
"ScheduleESOP": {
"type": "object",
"description": "Tax deferred on ESOP : Information related to Tax deferred - relatable to income on perquisites referred in section 17(2)(vi) received from employer, being an eligible start-up referred to in section 80-IAC",
"additionalProperties": false,
"properties": {
"ScheduleESOP2122_Type": {
"type": "object",
"additionalProperties": false,
"properties": {
"AssessmentYear": {
"pattern": "2021-22",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"TaxDeferredBFEarlierAY": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ScheduleESOPEventDtls": {
"$ref": "#/definitions/ScheduleESOPEventDtls"
},
"TaxPayableCurrentAY": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"BalanceTaxCF": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
}
},
"ScheduleESOP2223_Type": {
"type": "object",
"additionalProperties": false,
"properties": {
"AssessmentYear": {
"pattern": "2022-23",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"TaxDeferredBFEarlierAY": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ScheduleESOPEventDtls": {
"$ref": "#/definitions/ScheduleESOPEventDtls"
},
"TaxPayableCurrentAY": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"BalanceTaxCF": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
}
},
"ScheduleESOP2324_Type": {
"type": "object",
"additionalProperties": false,
"properties": {
"AssessmentYear": {
"pattern": "2023-24",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"BalanceTaxCF": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
}
},
"TotalTaxAttributedAmt": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required":[
"TotalTaxAttributedAmt"
]
},
"ScheduleESOPEventDtls": {
"type": "object",
"additionalProperties": false,
"properties": {
"SecurityType": {
"type": "string",
"description": "FS - Fully Sold; PS - Partly Sold; NS - Not sold",
"enum": [
"FS",
"PS",
"NS"
]
},
"ScheduleESOPEventDtlsType": {
"type": "array",
"items": {
"$ref": "#/definitions/ScheduleESOPEventDtlsType"
}
},
"CeasedEmployee": {
"description": "Y-YES; N-NO",
"enum": [
"Y",
"N"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"DateOfCeasing": {
"type": "string",
"description": "Date in YYYY-MM-DD format",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
}
}
},
"ScheduleESOPEventDtlsType": {
"type": "object",
"additionalProperties": false,
"properties": {
"Date": {
"type": "string",
"description": "Date in YYYY-MM-DD format",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"TaxAttributedAmt": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
}
},
"PartB-TI": {
"type": "object",
"description": "Computation of Total Income",
"additionalProperties": false,
"properties": {
"Salaries": {
"type": "integer",
"description": "Income from Salary",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"IncomeFromHP": {
"type": "integer",
"description": "Income from house property",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CapGain": {
"$ref": "#/definitions/CapGain"
},
"IncFromOS": {
"$ref": "#/definitions/IncFromOS"
},
"TotalTI": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"CurrentYearLoss": {
"type": "integer",
"description": "Losses of current year set off from CYLA",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"BalanceAfterSetoffLosses": {
"type": "integer",
"description": "Balance after set-off current year losses",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"BroughtFwdLossesSetoff": {
"type": "integer",
"description": "Brought forward losses set off from BFLA",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"GrossTotalIncome": {
"type": "integer",
"description": "Gross Total income",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IncChargeTaxSplRate111A112": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"DeductionsUnderScheduleVIA": {
"type": "integer",
"description": "From Schedule VIA",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IncChargeableTaxSplRates": {
"type": "integer",
"description": "From total of (i) of schedule SI",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"NetAgricultureIncomeOrOtherIncomeForRate": {
"type": "integer",
"description": "From Schedule EI",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"AggregateIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"LossesOfCurrentYearCarriedFwd": {
"type": "integer",
"description": "Losses of current year to be carried forward from CFL",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"DeemedIncomeUs115JC": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"Salaries",
"IncomeFromHP",
"CapGain",
"IncFromOS",
"TotalTI",
"CurrentYearLoss",
"BalanceAfterSetoffLosses",
"BroughtFwdLossesSetoff",
"GrossTotalIncome",
"IncChargeTaxSplRate111A112",
"DeductionsUnderScheduleVIA",
"TotalIncome",
"IncChargeableTaxSplRates",
"NetAgricultureIncomeOrOtherIncomeForRate",
"AggregateIncome",
"LossesOfCurrentYearCarriedFwd",
"DeemedIncomeUs115JC"
]
},
"CapGain": {
"type": "object",
"description": "capital gains",
"additionalProperties": false,
"properties": {
"ShortTerm": {
"$ref": "#/definitions/ShortTerm"
},
"LongTerm": {
"$ref": "#/definitions/LongTerm"
},
"ShortTermLongTermTotal": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CapGains30Per115BBH": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalCapGains": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"ShortTerm",
"LongTerm",
"ShortTermLongTermTotal",
"CapGains30Per115BBH",
"TotalCapGains"
]
},
"ShortTerm": {
"type": "object",
"description": "Short term gains",
"additionalProperties": false,
"properties": {
"ShortTerm15Per": {
"type": "integer",
"description": "Short-term chargeable @ 15%",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ShortTerm30Per": {
"type": "integer",
"description": "Short-term chargeable @ 30%",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ShortTermAppRate": {
"type": "integer",
"description": "Short-term chargeable at applicable rate",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ShortTermSplRateDTAA": {
"type": "integer",
"description": "Short-term chargeable at special rates in India as per DTAA",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalShortTerm": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"ShortTerm15Per",
"ShortTerm30Per",
"ShortTermAppRate",
"ShortTermSplRateDTAA",
"TotalShortTerm"
]
},
"LongTerm": {
"type": "object",
"description": "Long term gains",
"additionalProperties": false,
"properties": {
"LongTerm10Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LongTerm20Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LongTermSplRateDTAA": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalLongTerm": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"LongTerm10Per",
"LongTerm20Per",
"LongTermSplRateDTAA",
"TotalLongTerm"
]
},
"IncFromOS": {
"type": "object",
"description": "Income of other sources",
"additionalProperties": false,
"properties": {
"OtherSrcThanOwnRaceHorse": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"IncChargblSplRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FromOwnRaceHorse": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotIncFromOS": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"OtherSrcThanOwnRaceHorse",
"IncChargblSplRate",
"FromOwnRaceHorse",
"TotIncFromOS"
]
},
"PartB_TTI": {
"type": "object",
"description": "Computation of tax liability on total income",
"additionalProperties": false,
"properties": {
"TaxPayDeemedTotIncUs115JC": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Surcharge": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"HealthEduCess": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"TotalTaxPayablDeemedTotInc": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"ComputationOfTaxLiability": {
"$ref": "#/definitions/ComputationOfTaxLiability"
},
"TaxPaid": {
"$ref": "#/definitions/TaxPaid"
},
"Refund": {
"$ref": "#/definitions/Refund"
},
"AssetOutIndiaFlag": {
"description": "This field is applicable only in case of resident assessee. It is to know if the assessee has any interest in any asset/signing authority in any account located outside India.",
"enum": [
"YES",
"NO"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
],
"default": "NO"
}
},
"required": [
"TaxPayDeemedTotIncUs115JC",
"Surcharge",
"HealthEduCess",
"TotalTaxPayablDeemedTotInc",
"ComputationOfTaxLiability",
"TaxPaid",
"Refund",
"AssetOutIndiaFlag"
]
},
"ComputationOfTaxLiability": {
"type": "object",
"additionalProperties": false,
"properties": {
"TaxPayableOnTI": {
"$ref": "#/definitions/TaxPayableOnTI"
},
"Rebate87A": {
"type": "integer",
"maximum": 12500,
"minimum": 0,
"exclusiveMinimum": false,
"exclusiveMaximum": false,
"default": 0
},
"TaxPayableOnRebate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Surcharge25ofSI": {
"type": "integer",
"description": "115BBE Surcharge after marginal relief",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"SurchargeOnAboveCrore": {
"type": "integer",
"description": "Surcharge other than 115BBE after marginal relief",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"Surcharge25ofSIBeforeMarginal": {
"type": "integer",
"description": "115BBE Surcharge before marginal relief",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"SurchargeOnAboveCroreBeforeMarginal": {
"type": "integer",
"maximum": 99999999999999,
"description": "Surcharge other than 115BBE before marginal relief",
"minimum": 0,
"exclusiveMinimum": false
},
"TotalSurcharge": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"EducationCess": {
"type": "integer",
"description": "Education Cess",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"GrossTaxLiability": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"GrossTaxPayable": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"GrossTaxPay": {
"$ref": "#/definitions/GrossTaxPay"
},
"CreditUS115JD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"TaxPayAfterCreditUs115JD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"TaxRelief": {
"$ref": "#/definitions/TaxRelief"
},
"NetTaxLiability": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntrstPay": {
"$ref": "#/definitions/IntrstPay"
},
"AggregateTaxInterestLiability": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"TaxPayableOnTI",
"Rebate87A",
"TaxPayableOnRebate",
"Surcharge25ofSI",
"SurchargeOnAboveCrore",
"Surcharge25ofSIBeforeMarginal",
"SurchargeOnAboveCroreBeforeMarginal",
"TotalSurcharge",
"EducationCess",
"GrossTaxLiability",
"GrossTaxPayable",
"CreditUS115JD",
"TaxPayAfterCreditUs115JD",
"NetTaxLiability",
"IntrstPay",
"AggregateTaxInterestLiability"
]
},
"TaxPayableOnTI": {
"type": "object",
"additionalProperties": false,
"properties": {
"TaxAtNormalRatesOnAggrInc": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"TaxAtSpecialRates": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"RebateOnAgriInc": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TaxPayableOnTotInc": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"TaxAtNormalRatesOnAggrInc",
"TaxAtSpecialRates",
"RebateOnAgriInc",
"TaxPayableOnTotInc"
]
},
"GrossTaxPay": {
"type": "object",
"description": "Gross tax payable",
"additionalProperties": false,
"properties": {
"TaxInc17": {
"description": "Tax on income without including income on perquisites referred in section 17(2)(vi) received from employer, being an eligible start-up referred to in section 80-IAC ( Schedule Salary)",
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TaxDeferred17": {
"description": "Tax deferred - relatable to income on perquisites referred in section 17(2)(vi) received from employer, being an eligible start-up referred to in section 80-IAC",
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TaxDeferredPayableCY": {
"description": "Tax deferred from earlier years but payable during current AY (Total of col. 7 of schedule Tax Deferred on ESOP)",
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"TaxInc17",
"TaxDeferred17",
"TaxDeferredPayableCY"
]
},
"TaxRelief": {
"type": "object",
"description": "Tax relief",
"additionalProperties": false,
"properties": {
"Section89": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Section90": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Section91": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"TotTaxRelief": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"TotTaxRelief"
]
},
"IntrstPay": {
"type": "object",
"additionalProperties": false,
"properties": {
"IntrstPayUs234A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntrstPayUs234B": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntrstPayUs234C": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"LateFilingFee234F": {
"type": "integer",
"maximum": 5000,
"minimum": 0,
"exclusiveMinimum": false,
"exclusiveMaximum": false,
"default": 0
},
"TotalIntrstPay": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"IntrstPayUs234A",
"IntrstPayUs234B",
"IntrstPayUs234C",
"LateFilingFee234F",
"TotalIntrstPay"
]
},
"TaxPaid": {
"type": "object",
"description": "Tax paid details",
"additionalProperties": false,
"properties": {
"TaxesPaid": {
"$ref": "#/definitions/TaxesPaid"
},
"BalTaxPayable": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"TaxesPaid"
]
},
"TaxesPaid": {
"type": "object",
"additionalProperties": false,
"properties": {
"AdvanceTax": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TDS": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TCS": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"SelfAssessmentTax": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalTaxesPaid": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"AdvanceTax",
"TDS",
"TCS",
"SelfAssessmentTax",
"TotalTaxesPaid"
]
},
"Refund": {
"type": "object",
"description": "Refund details",
"additionalProperties": false,
"properties": {
"RefundDue": {
"type": "integer",
"description": "Total Taxes Paid is greater than Aggregate Liability",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"BankAccountDtls": {
"$ref": "#/definitions/BankAccountDtls"
}
},
"required": [
"RefundDue",
"BankAccountDtls"
]
},
"BankAccountDtls": {
"type": "object",
"description": "Bank details",
"additionalProperties": false,
"properties": {
"BankDtlsFlag": {
"enum": [
"Y",
"N"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
],
"default": "Y"
},
"AddtnlBankDetails": {
"type": "array",
"items": {
"$ref": "#/definitions/BankDetailType"
}
},
"ForeignBankDetails": {
"type": "array",
"items": {
"$ref": "#/definitions/ForeignBankDtls"
}
}
},
"required": [
"BankDtlsFlag"
]
},
"Verification": {
"type": "object",
"description": "Verification declaration details",
"additionalProperties": false,
"properties": {
"Declaration": {
"type": "object",
"additionalProperties": false,
"properties": {
"AssesseeVerName": {
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"FatherName": {
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AssesseeVerPAN": {
"pattern": "[A-Z]{3}[P][A-Z][0-9]{4}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"AssesseeVerName",
"FatherName",
"AssesseeVerPAN"
]
},
"Capacity": {
"type": "string",
"description": "S : Self; R : Representative; K : Karta; A : Authorised Signatory",
"enum": [
"S",
"R",
"K",
"A"
]
}
},
"required": [
"Declaration",
"Capacity"
]
},
"TaxReturnPreparer": {
"type": "object",
"description": "TRP details",
"additionalProperties": false,
"properties": {
"IdentificationNoOfTRP": {
"pattern": "[T][0-9]{9}|[0-9]{6}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"NameOfTRP": {
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"ReImbFrmGov": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"IdentificationNoOfTRP",
"NameOfTRP",
"ReImbFrmGov"
]
},
"ScheduleS": {
"type": "object",
"description": "Details of Income from salary",
"additionalProperties": false,
"properties": {
"Salaries": {
"type": "array",
"minItems": 1,
"items": {
"$ref": "#/definitions/Salaries"
}
},
"TotalGrossSalary": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"AllwncExtentExemptUs10": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"AllwncExemptUs10": {
"type": "object",
"additionalProperties": false,
"properties": {
"AllwncExemptUs10Dtls": {
"type": "array",
"items": {
"$ref": "#/definitions/AllwncExemptUs10DtlsType"
}
}
}
},
"Increliefus89A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"NetSalary": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"DeductionUS16": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"DeductionUnderSection16ia": {
"type": "integer",
"maximum": 50000,
"minimum": 0,
"exclusiveMinimum": false,
"exclusiveMaximum": false,
"default": 0
},
"EntertainmntalwncUs16ii": {
"type": "integer",
"maximum": 5000,
"minimum": 0,
"exclusiveMinimum": false,
"exclusiveMaximum": false,
"default": 0
},
"ProfessionalTaxUs16iii": {
"type": "integer",
"maximum": 5000,
"minimum": 0,
"exclusiveMinimum": false,
"exclusiveMaximum": false,
"default": 0
},
"TotIncUnderHeadSalaries": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"TotalGrossSalary",
"AllwncExtentExemptUs10",
"NetSalary",
"DeductionUS16",
"DeductionUnderSection16ia",
"EntertainmntalwncUs16ii",
"ProfessionalTaxUs16iii",
"TotIncUnderHeadSalaries"
]
},
"Salaries": {
"type": "object",
"description": "Salaries",
"additionalProperties": false,
"properties": {
"NameOfEmployer": {
"description": "Name of the employer",
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"NatureOfEmployment": {
"type": "string",
"description": "CGOV:Central Government; SGOV:State Government; PSU:Public Sector Unit; PE:Pensioners - Central Government, PESG:Pensioners - State Government, PEPS:Pensioners - Public sector undertaking, PEO:Pensioners - Others; OTH:Others",
"enum": [
"CGOV",
"SGOV",
"PSU",
"PE",
"PESG",
"PEPS",
"PEO",
"OTH"
]
},
"TANofEmployer": {
"pattern": "[A-Z]{4}[0-9]{5}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AddressDetail": {
"$ref": "#/definitions/AddressDetail"
},
"Salarys": {
"type": "object",
"additionalProperties": false,
"properties": {
"GrossSalary": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Salary": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"NatureOfSalary": {
"type": "object",
"additionalProperties": false,
"properties": {
"OthersIncDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/NatureOfSalaryDtlsType"
}
}
}
},
"ValueOfPerquisites": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"NatureOfPerquisites": {
"type": "object",
"additionalProperties": false,
"properties": {
"OthersIncDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/NatureOfPerquisitesType"
}
}
}
},
"ProfitsinLieuOfSalary": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"NatureOfProfitInLieuOfSalary": {
"type": "object",
"additionalProperties": false,
"properties": {
"OthersIncDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/NatureOfProfitInLieuOfSalaryType"
}
}
}
},
"IncomeNotified89A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IncomeNotified89AType": {
"type": "array",
"items": {
"$ref": "#/definitions/NOT89AType"
}
},
"IncomeNotifiedOther89A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IncomeNotifiedPrYr89A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"GrossSalary",
"Salary",
"ValueOfPerquisites",
"ProfitsinLieuOfSalary",
"IncomeNotified89A",
"IncomeNotifiedOther89A"
]
}
},
"required": [
"NameOfEmployer",
"NatureOfEmployment",
"AddressDetail",
"Salarys"
]
},
"AddressDetail": {
"type": "object",
"additionalProperties": false,
"properties": {
"AddrDetail": {
"maxLength": 200,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CityOrTownOrDistrict": {
"maxLength": 50,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"StateCode": {
"$ref": "#/definitions/StateCode"
},
"PinCode": {
"type": "integer",
"maximum": 999999,
"minimum": 100000,
"exclusiveMinimum": false,
"pattern": "[1-9]{1}[0-9]{5}"
},
"ZipCode": {
"maxLength": 8,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"AddrDetail",
"CityOrTownOrDistrict",
"StateCode"
]
},
"AddressDetailWithZipCode": {
"type": "object",
"additionalProperties": false,
"properties": {
"AddrDetail": {
"maxLength": 200,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CityOrTownOrDistrict": {
"maxLength": 50,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"StateCode": {
"$ref": "#/definitions/StateCode"
},
"CountryCode": {
"$ref": "#/definitions/CountryCode"
},
"PinCode": {
"type": "integer",
"maximum": 999999,
"minimum": 100000,
"exclusiveMinimum": false,
"pattern": "[1-9]{1}[0-9]{5}"
},
"ZipCode": {
"maxLength": 8,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"AddrDetail",
"CityOrTownOrDistrict",
"StateCode",
"CountryCode"
]
},
"ScheduleHP": {
"type": "object",
"description": "Income from house property",
"additionalProperties": false,
"properties": {
"PropertyDetails": {
"type": "array",
"items": {
"$ref": "#/definitions/PropertyDetails"
}
},
"PassThroghIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"TotalIncomeChargeableUnHP": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999,
"description": "House Property income",
"default": 0
}
},
"required": [
"TotalIncomeChargeableUnHP"
]
},
"PropertyDetails": {
"type": "object",
"description": "Individual property details",
"additionalProperties": false,
"properties": {
"HPSNo": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"AddressDetailWithZipCode": {
"$ref": "#/definitions/AddressDetailWithZipCode"
},
"PropertyOwner": {
"description": "SE - Self; MI - Minor; SP - Spouse; OT - Others",
"enum": [
"SE",
"MI",
"SP",
"OT"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PropertyOwnerOther": {
"maxLength": 50,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PropCoOwnedFlg": {
"description": "Property co-owned by other than the taxpayer (if please enter following details)",
"enum": [
"YES",
"NO"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AsseseeShareProperty": {
"type": "number",
"maximum": 100,
"minimum": 0,
"exclusiveMinimum": false,
"exclusiveMaximum": false,
"multipleOf": 0.01,
"default": 0
},
"CoOwners": {
"type": "array",
"items": {
"$ref": "#/definitions/CoOwners"
}
},
"ifLetOut": {
"description": "Y - Let Out; D - Deemed let out; N - Self Occupied",
"enum": [
"Y",
"N",
"D"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
],
"default": "Y"
},
"TenantDetails": {
"type": "array",
"items": {
"$ref": "#/definitions/TenantDetails"
}
},
"Rentdetails": {
"$ref": "#/definitions/Rentdetails"
}
},
"required": [
"HPSNo",
"AddressDetailWithZipCode",
"PropertyOwner",
"PropCoOwnedFlg",
"AsseseeShareProperty",
"ifLetOut",
"Rentdetails"
]
},
"Rentdetails": {
"type": "object",
"description": "Rent Details",
"additionalProperties": false,
"properties": {
"AnnualLetableValue": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"RentNotRealized": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"LocalTaxes": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"TotalUnrealizedAndTax": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"BalanceALV": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"AnnualOfPropOwned": {
"type": "integer",
"maximum": 99999999999999,
"default": 0
},
"ThirtyPercentOfBalance": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntOnBorwCap": {
"type": "integer",
"description": "Interest payable on borrowed capital",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"TotalDeduct": {
"type": "integer",
"description": "Interest plus 30% of annual value",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"ArrearsUnrealizedRentRcvd": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IncomeOfHP": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999,
"default": 0
}
},
"required": [
"AnnualLetableValue",
"TotalUnrealizedAndTax",
"BalanceALV",
"AnnualOfPropOwned",
"ThirtyPercentOfBalance",
"TotalDeduct",
"IncomeOfHP"
]
},
"CoOwners": {
"type": "object",
"additionalProperties": false,
"properties": {
"CoOwnersSNo": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"NameCoOwner": {
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PAN_CoOwner": {
"pattern": "[A-Z]{5}[0-9]{4}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"Aadhaar_CoOwner": {
"pattern": "[0-9]{12}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PercentShareProperty": {
"type": "number",
"maximum": 100,
"minimum": 0,
"exclusiveMinimum": false,
"exclusiveMaximum": false,
"multipleOf": 0.01
}
},
"required": [
"CoOwnersSNo",
"NameCoOwner"
]
},
"TenantDetails": {
"type": "object",
"additionalProperties": false,
"properties": {
"TenantSNo": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"NameofTenant": {
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PANofTenant": {
"pattern": "[A-Z]{5}[0-9]{4}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AadhaarofTenant": {
"pattern": "[0-9]{12}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PANTANofTenant": {
"pattern": "[A-Z]{4}[0-9]{5}[A-Z]|[A-Z]{5}[0-9]{4}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"TenantSNo",
"NameofTenant"
]
},
"ScheduleCGFor23": {
"type": "object",
"additionalProperties": false,
"properties": {
"ShortTermCapGainFor23": {
"$ref": "#/definitions/ShortTermCapGainFor23"
},
"LongTermCapGain23": {
"$ref": "#/definitions/LongTermCapGain23"
},
"SumOfCGIncm":{
"type": "integer",
"minimum": 0,
"maximum": 99999999999999
},
"IncmFromVDATrnsf": {
"type": "integer",
"minimum": 0,
"maximum": 99999999999999
},
"TotScheduleCGFor23": {
"type": "integer",
"minimum": 0,
"maximum": 99999999999999
},
"DeducClaimInfo": {
"$ref": "#/definitions/DeducClaimInfo"
},
"CurrYrLosses": {
"$ref": "#/definitions/CurrYrLosses"
},
"AccruOrRecOfCG": {
"$ref": "#/definitions/AccruOrRecOfCG"
}
},
"required": [
"ShortTermCapGainFor23",
"LongTermCapGain23",
"SumOfCGIncm",
"IncmFromVDATrnsf",
"TotScheduleCGFor23",
"CurrYrLosses",
"AccruOrRecOfCG"
]
},
"ShortTermCapGainFor23": {
"type": "object",
"additionalProperties": false,
"properties": {
"SaleofLandBuild": {
"type": "object",
"additionalProperties": false,
"properties": {
"SaleofLandBuildDtls": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"DateofPurchase": {
"type": "string",
"description": "Date in format YYYY-MM-DD",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"DateofSale": {
"type": "string",
"description": "Date in format YYYY-MM-DD",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"FullConsideration": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"PropertyValuation": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FullConsideration50C": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"AquisitCost": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ImproveCost": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ExpOnTrans": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalDedn": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"Balance": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"DeductionUs54B": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"STCGonImmvblPrprty": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"TrnsfImmblPrprty": {
"type": "object",
"additionalProperties": false,
"properties": {
"TrnsfImmblPrprtyDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/TrnsfImmblPrprtyDtls"
}
}
}
}
},
"required": [
"FullConsideration50C",
"AquisitCost",
"ImproveCost",
"ExpOnTrans",
"TotalDedn",
"Balance",
"DeductionUs54B",
"STCGonImmvblPrprty"
]
}
}
}
},
"EquityMFonSTT": {
"type": "array",
"maxItems": 2,
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"MFSectionCode": {
"description": "1A - 111A [for others]; 5AD1biip - 115AD(1)(b)(ii) [for Foreign Institutional Investors]",
"enum": [
"1A",
"5AD1biip"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"EquityMFonSTTDtls": {
"$ref": "#/definitions/EquityOrUnitSec94TypeMFonSTT"
}
},
"required": [
"MFSectionCode",
"EquityMFonSTTDtls"
]
}
},
"NRITransacSec48Dtl": {
"type": "object",
"additionalProperties": false,
"properties": {
"NRItaxSTTPaid": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"NRItaxSTTNotPaid": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
}
},
"required": [
"NRItaxSTTPaid",
"NRItaxSTTNotPaid"
]
},
"NRISecur115AD": {
"$ref": "#/definitions/EquityOrUnitSec94Type"
},
"SaleOnOtherAssets": {
"$ref": "#/definitions/EquityOrUnitSec94Type"
},
"UnutilizedStcgFlag": {
"description": "Y - Yes; N - No; X - Not Applicable",
"enum": [
"Y",
"N",
"X"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"UnutilizedCg": {
"$ref": "#/definitions/UnutilizedCgPrvYrStcg"
},
"AmtDeemedStcg": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalAmtDeemedStcg": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"PassThrIncNatureSTCG": {
"type": "integer",
"maximum": 99999999999999,
"default": 0
},
"PassThrIncNatureSTCG15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"PassThrIncNatureSTCG30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"PassThrIncNatureSTCGAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"NRICgDTAA": {
"$ref": "#/definitions/NRITaxUsDTAAStcgType"
},
"TotalAmtNotTaxUsDTAAStcg": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"TotalAmtTaxUsDTAAStcg": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"TotalSTCG": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
}
},
"required": [
"NRITransacSec48Dtl",
"NRISecur115AD",
"SaleOnOtherAssets",
"TotalAmtDeemedStcg",
"PassThrIncNatureSTCG",
"TotalAmtNotTaxUsDTAAStcg",
"TotalAmtTaxUsDTAAStcg",
"TotalSTCG"
]
},
"Schedule112A": {
"type": "object",
"additionalProperties": false,
"properties": {
"Schedule112ADtls": {
"type": "array",
"items": {
"$ref": "#/definitions/Schedule112A115ADType"
}
},
"SaleValue112A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CostAcqWithoutIndx112A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"AcquisitionCost112A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LTCGBeforelowerB1B2112A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FairMktValueCapAst112A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ExpExclCnctTransfer112A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"Deductions112A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"Balance112A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999,
"exclusiveMinimum": false
}
},
"required": [
"SaleValue112A",
"CostAcqWithoutIndx112A",
"AcquisitionCost112A",
"LTCGBeforelowerB1B2112A",
"FairMktValueCapAst112A",
"ExpExclCnctTransfer112A",
"Deductions112A",
"Balance112A"
]
},
"Schedule115AD": {
"type": "object",
"additionalProperties": false,
"properties": {
"Schedule115ADDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/Schedule112A115ADType"
}
},
"SaleValue115AD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CostAcqWithoutIndx115AD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"AcquisitionCost115AD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LTCGBeforelowerB1B2115AD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FairMktValueCapAst115AD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ExpExclCnctTransfer115AD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"Deductions115AD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"Balance115AD": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999,
"exclusiveMinimum": false
}
},
"required": [
"SaleValue115AD",
"CostAcqWithoutIndx115AD",
"AcquisitionCost115AD",
"LTCGBeforelowerB1B2115AD",
"FairMktValueCapAst115AD",
"ExpExclCnctTransfer115AD",
"Deductions115AD",
"Balance115AD"
]
},
"ScheduleVDA": {
"type": "object",
"additionalProperties": false,
"properties": {
"ScheduleVDADtls": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"DateofAcquisition": {
"type": "string",
"description": "Date in YYYY-MM-DD format",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"DateofTransfer": {
"type": "string",
"description": "Date in YYYY-MM-DD format",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"HeadUndIncTaxed": {
"description": "CG : Capital Gain",
"enum": [
"CG"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AcquisitionCost": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ConsidReceived": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"IncomeFromVDA": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"DateofAcquisition",
"DateofTransfer",
"HeadUndIncTaxed",
"AcquisitionCost",
"ConsidReceived",
"IncomeFromVDA"
]
}
},
"TotIncCapGain": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"ScheduleVDADtls",
"TotIncCapGain"
]
},
"TrnsfImmblPrprtyDtls": {
"type": "object",
"additionalProperties": false,
"properties": {
"NameOfBuyer": {
"maxLength": 125,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PANofBuyer": {
"pattern": "[A-Z]{5}[0-9]{4}[A-Z]",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AaadhaarOfBuyer": {
"pattern": "[0-9]{12}",
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"PercentageShare": {
"type": "number",
"maximum": 100,
"minimum": 0,
"multipleOf": 0.01,
"exclusiveMinimum": false,
"exclusiveMaximum": false
},
"Amount": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"AddressOfProperty": {
"maxLength": 250,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"StateCode": {
"description": "01-Andaman and Nicobar islands; 02-Andhra Pradesh; 03-Arunachal Pradesh; 04-Assam; 05-Bihar; 06-Chandigarh; 07-Dadra Nagar and Haveli; 08-Daman and Diu; 09- Delhi; 10- Goa; 11-Gujarat; 12- Haryana; 13- Himachal Pradesh; 14-Jammu and Kashmir; 15- Karnataka; 16- Kerala; 17- Lakshadweep; 18-Madhya Pradesh; 19-Maharashtra; 20-Manipur; 21- Meghalaya; 22-Mizoram; 23-Nagaland; 24- Odisha; 25- Puducherry; 26- Punjab; 27-Rajasthan; 28- Sikkim; 29-Tamil Nadu; 30- Tripura; 31-Uttar Pradesh; 32- West Bengal; 33- Chhattisgarh; 34- Uttarakhand; 35- Jharkhand; 36- Telangana; 37- Ladakh; 99- State outside India",
"enum": [
"01",
"02",
"03",
"04",
"05",
"06",
"07",
"08",
"09",
"10",
"11",
"12",
"13",
"14",
"15",
"16",
"17",
"18",
"19",
"20",
"21",
"22",
"23",
"24",
"25",
"26",
"27",
"28",
"29",
"30",
"31",
"32",
"33",
"34",
"35",
"36",
"37",
"99"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CountryCode": {
"$ref": "#/definitions/CountryCode"
},
"PinCode": {
"type": "integer",
"maximum": 999999,
"minimum": 100000,
"exclusiveMinimum": false,
"pattern": "[1-9]{1}[0-9]{5}"
},
"ZipCode": {
"maxLength": 8,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
}
},
"required": [
"NameOfBuyer",
"PercentageShare",
"Amount",
"AddressOfProperty",
"StateCode",
"CountryCode"
]
},
"LongTermCapGain23": {
"type": "object",
"additionalProperties": false,
"properties": {
"SaleofLandBuild": {
"type": "object",
"additionalProperties": false,
"properties": {
"SaleofLandBuildDtls": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"FullConsideration": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"DateofPurchase": {
"type": "string",
"description": "Date in format YYYY-MM-DD",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"DateofSale": {
"type": "string",
"description": "Date in format YYYY-MM-DD",
"pattern": "([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))"
},
"PropertyValuation": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FullConsideration50C": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"AquisitCost": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"AquisitCostIndex": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ImproveCost": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CostOfImprovements": {
"type": "object",
"additionalProperties": false,
"properties": {
"CostOfImprovementsDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/CostOfImprovementsType"
}
}
}
},
"ExpOnTrans": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalDedn": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"Balance": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"ExemptionOrDednUs54": {
"$ref": "#/definitions/ExemptionOrDednUs54SaleLandType"
},
"LTCGonImmvblPrprty": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"TrnsfImmblPrprty": {
"type": "object",
"additionalProperties": false,
"properties": {
"TrnsfImmblPrprtyDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/TrnsfImmblPrprtyDtls"
}
}
}
}
},
"required": [
"FullConsideration50C",
"AquisitCost",
"AquisitCostIndex",
"ImproveCost",
"ExpOnTrans",
"TotalDedn",
"Balance",
"ExemptionOrDednUs54",
"LTCGonImmvblPrprty"
]
}
}
}
},
"SaleofBondsDebntr": {
"$ref": "#/definitions/EquityOrUnitSec54TypeDebn112"
},
"Proviso112Applicable": {
"type": "array",
"maxItems": 2,
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"Proviso112SectionCode": {
"description": "22 - (i) listed securities (other than a unit) or zero coupon bonds where proviso to section 112(1) is applicable; 5ACA1b - (ii) GDR of an Indian company referred in sec. 115ACA",
"enum": [
"22",
"5ACA1b"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"Proviso112Applicabledtls": {
"$ref": "#/definitions/EquityOrUnitSec54TypeDebn112"
}
},
"required": [
"Proviso112SectionCode",
"Proviso112Applicabledtls"
]
}
},
"SaleOfEquityShareUs112A": {
"$ref": "#/definitions/EquityShareUs112A"
},
"NRIProvisoSec48": {
"$ref": "#/definitions/NRIProvisoSec48"
},
"NRIOnSec112and115": {
"type": "object",
"additionalProperties": false,
"properties": {
"NRIOnSec112and115Dtls": {
"type": "array",
"maxItems": 3,
"minItems": 1,
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"SectionCode": {
"description": "21ciii - (i) unlisted securities as per sec. 112(1)(c); 5AC1c - (ii) bonds or GDR as referred in sec. 115AC; 5ADiii - (iii) securities by FII as referred to in sec. 115AD",
"enum": [
"21ciii",
"5AC1c",
"5ADiii"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"FullValueConsdRecvUnqshr": {
"$ref": "#/definitions/FullValueConsdRecvUnqshr"
},
"FairMrktValueUnqshr": {
"$ref": "#/definitions/FairMrktValueUnqshr"
},
"FullValueConsdSec50CA": {
"$ref": "#/definitions/FullValueConsdSec50CA"
},
"FullValueConsdOthUnqshr": {
"$ref": "#/definitions/FullValueConsdOthUnqshr"
},
"FullConsideration": {
"$ref": "#/definitions/FullConsideration"
},
"DeductSec48": {
"$ref": "#/definitions/DeductSec48"
},
"BalanceCG": {
"$ref": "#/definitions/BalanceCG"
},
"DeductionUs54F": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CapgainonAssets": {
"$ref": "#/definitions/CapgainonAssets"
}
},
"required": [
"SectionCode",
"FullValueConsdRecvUnqshr",
"FairMrktValueUnqshr",
"FullValueConsdSec50CA",
"FullValueConsdOthUnqshr",
"FullConsideration",
"DeductSec48",
"BalanceCG",
"DeductionUs54F",
"CapgainonAssets"
]
}
}
}
},
"NRISaleOfEquityShareUs112A": {
"$ref": "#/definitions/EquityShareUs112A"
},
"NRISaleofForeignAsset": {
"$ref": "#/definitions/NRISaleofForeignAsset"
},
"SaleofAssetNA": {
"$ref": "#/definitions/EquityOrUnitSec54Type"
},
"UnutilizedLtcgFlag": {
"description": "Y - Yes; N - No; X - Not Applicable",
"enum": [
"Y",
"N",
"X"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"UnutilizedCg": {
"$ref": "#/definitions/UnutilizedCgPrvYrLtcg"
},
"AmtDeemedLtcg": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"TotalAmtDeemedLtcg": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"PassThrIncNatureLTCG": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"PassThrIncNatureLTCGUs112A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"PassThrIncNatureLTCG10Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"PassThrIncNatureLTCG20Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"NRICgDTAA": {
"$ref": "#/definitions/NRITaxUsDTAALtcgType"
},
"TotalAmtNotTaxUsDTAALtcg": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"TotalAmtTaxUsDTAALtcg": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"TotalLTCG": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
}
},
"required": [
"SaleofBondsDebntr",
"SaleOfEquityShareUs112A",
"NRISaleOfEquityShareUs112A",
"NRISaleofForeignAsset",
"SaleofAssetNA",
"TotalAmtDeemedLtcg",
"PassThrIncNatureLTCG",
"PassThrIncNatureLTCGUs112A",
"TotalAmtNotTaxUsDTAALtcg",
"TotalAmtTaxUsDTAALtcg",
"TotalLTCG"
]
},
"NRIProvisoSec48": {
"type": "object",
"additionalProperties": false,
"properties": {
"LTCGWithoutBenefit": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"DeductionUs54F": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"BalanceCG": {
"$ref": "#/definitions/BalanceCG"
}
},
"required": [
"LTCGWithoutBenefit",
"DeductionUs54F",
"BalanceCG"
]
},
"NRISaleofForeignAsset": {
"type": "object",
"additionalProperties": false,
"properties": {
"SaleonSpecAsset": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"DednSpecAssetus115": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"BalonSpeciAsset": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"SaleOtherSpecAsset": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"DednOtherSpecAssetus115": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"BalOtherthanSpecAsset": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
}
},
"required": [
"SaleonSpecAsset",
"DednSpecAssetus115",
"BalonSpeciAsset",
"SaleOtherSpecAsset",
"DednOtherSpecAssetus115",
"BalOtherthanSpecAsset"
]
},
"DeducClaimInfo": {
"type": "object",
"additionalProperties": false,
"properties": {
"DeducClaimDtlsUs54": {
"type": "array",
"items": {
"$ref": "#/definitions/DeducClaimDtls54n54F"
}
},
"DeducClaimDtlsUs54B": {
"type": "array",
"items": {
"$ref": "#/definitions/DeducClaimDtls54B"
}
},
"DeducClaimDtlsUs54EC": {
"type": "array",
"items": {
"$ref": "#/definitions/DeducClaimDtls54ECn115F"
}
},
"DeducClaimDtlsUs54F": {
"type": "array",
"items": {
"$ref": "#/definitions/DeducClaimDtls54n54F"
}
},
"DeducClaimDtlsUs54GB": {
"type": "array",
"items": {
"$ref": "#/definitions/DeducClaimDtls54GB"
}
},
"DeducClaimDtlsUs115F": {
"type": "array",
"items": {
"$ref": "#/definitions/DeducClaimDtls115F"
}
},
"TotDeductClaim": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"TotDeductClaim"
]
},
"CurrYrLosses": {
"type": "object",
"additionalProperties": false,
"properties": {
"InLossSetOff": {
"$ref": "#/definitions/InLossSetOff"
},
"InStcg15Per": {
"$ref": "#/definitions/InStcg15Per"
},
"InStcg30Per": {
"$ref": "#/definitions/InStcg30Per"
},
"InStcgAppRate": {
"$ref": "#/definitions/InStcgAppRate"
},
"InStcgDTAARate": {
"$ref": "#/definitions/InStcgDTAARate"
},
"InLtcg10Per": {
"$ref": "#/definitions/InLtcg10Per"
},
"InLtcg20Per": {
"$ref": "#/definitions/InLtcg20Per"
},
"InLtcgDTAARate": {
"$ref": "#/definitions/InLtcgDTAARate"
},
"TotLossSetOff": {
"$ref": "#/definitions/TotLossSetOff"
},
"LossRemainSetOff": {
"$ref": "#/definitions/LossRemainSetOff"
}
},
"required": [
"InLossSetOff",
"InStcg15Per",
"InStcg30Per",
"InStcgAppRate",
"InStcgDTAARate",
"InLtcg10Per",
"InLtcg20Per",
"InLtcgDTAARate",
"TotLossSetOff",
"LossRemainSetOff"
]
},
"InStcg15Per": {
"type": "object",
"additionalProperties": false,
"properties": {
"CurrYearIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CurrYrCapGain": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"CurrYearIncome",
"StclSetoff30Per",
"StclSetoffAppRate",
"StclSetoffDTAARate",
"CurrYrCapGain"
]
},
"InStcg30Per": {
"type": "object",
"additionalProperties": false,
"properties": {
"CurrYearIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CurrYrCapGain": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"CurrYearIncome",
"StclSetoff15Per",
"StclSetoffAppRate",
"StclSetoffDTAARate",
"CurrYrCapGain"
]
},
"InStcgAppRate": {
"type": "object",
"additionalProperties": false,
"properties": {
"CurrYearIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CurrYrCapGain": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"CurrYearIncome",
"StclSetoff15Per",
"StclSetoff30Per",
"StclSetoffDTAARate",
"CurrYrCapGain"
]
},
"InStcgDTAARate": {
"type": "object",
"additionalProperties": false,
"properties": {
"CurrYearIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CurrYrCapGain": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"CurrYearIncome",
"StclSetoff15Per",
"StclSetoff30Per",
"StclSetoffAppRate",
"CurrYrCapGain"
]
},
"InLtcg10Per": {
"type": "object",
"additionalProperties": false,
"properties": {
"CurrYearIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff20Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CurrYrCapGain": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"CurrYearIncome",
"StclSetoff15Per",
"StclSetoff30Per",
"StclSetoffAppRate",
"StclSetoffDTAARate",
"LtclSetOff20Per",
"LtclSetOffDTAARate",
"CurrYrCapGain"
]
},
"InLtcg20Per": {
"type": "object",
"additionalProperties": false,
"properties": {
"CurrYearIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff10Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CurrYrCapGain": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"CurrYearIncome",
"StclSetoff15Per",
"StclSetoff30Per",
"StclSetoffAppRate",
"StclSetoffDTAARate",
"LtclSetOff10Per",
"LtclSetOffDTAARate",
"CurrYrCapGain"
]
},
"InLtcgDTAARate": {
"type": "object",
"additionalProperties": false,
"properties": {
"CurrYearIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff10Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff20Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"CurrYrCapGain": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"CurrYearIncome",
"StclSetoff15Per",
"StclSetoff30Per",
"StclSetoffAppRate",
"StclSetoffDTAARate",
"LtclSetOff10Per",
"LtclSetOff20Per",
"CurrYrCapGain"
]
},
"InLossSetOff": {
"type": "object",
"additionalProperties": false,
"properties": {
"StclSetoff15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff10Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff20Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"StclSetoff15Per",
"StclSetoff30Per",
"StclSetoffAppRate",
"StclSetoffDTAARate",
"LtclSetOff10Per",
"LtclSetOff20Per",
"LtclSetOffDTAARate"
]
},
"TotLossSetOff": {
"type": "object",
"additionalProperties": false,
"properties": {
"StclSetoff15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff10Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff20Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"StclSetoff15Per",
"StclSetoff30Per",
"StclSetoffAppRate",
"StclSetoffDTAARate",
"LtclSetOff10Per",
"LtclSetOff20Per",
"LtclSetOffDTAARate"
]
},
"LossRemainSetOff": {
"type": "object",
"additionalProperties": false,
"properties": {
"StclSetoff15Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoff30Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"StclSetoffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff10Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOff20Per": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"LtclSetOffDTAARate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"StclSetoff15Per",
"StclSetoff30Per",
"StclSetoffAppRate",
"StclSetoffDTAARate",
"LtclSetOff10Per",
"LtclSetOff20Per",
"LtclSetOffDTAARate"
]
},
"AccruOrRecOfCG": {
"type": "object",
"additionalProperties": false,
"properties": {
"ShortTermUnder15Per": {
"$ref": "#/definitions/DateRangeType"
},
"ShortTermUnder30Per": {
"$ref": "#/definitions/DateRangeType"
},
"ShortTermUnderAppRate": {
"$ref": "#/definitions/DateRangeType"
},
"ShortTermUnderDTAARate": {
"$ref": "#/definitions/DateRangeType"
},
"LongTermUnder10Per": {
"$ref": "#/definitions/DateRangeType"
},
"LongTermUnder20Per": {
"$ref": "#/definitions/DateRangeType"
},
"LongTermUnderDTAARate": {
"$ref": "#/definitions/DateRangeType"
},
"VDATrnsfGainsUnder30Per": {
"$ref": "#/definitions/DateRangeType"
}
},
"required": [
"ShortTermUnder15Per",
"ShortTermUnder30Per",
"ShortTermUnderAppRate",
"ShortTermUnderDTAARate",
"LongTermUnder10Per",
"LongTermUnder20Per",
"LongTermUnderDTAARate"
]
},
"DeductSec48": {
"type": "object",
"additionalProperties": false,
"properties": {
"AquisitCost": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"ImproveCost": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"ExpOnTrans": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"TotalDedn": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
}
},
"required": [
"AquisitCost",
"ImproveCost",
"ExpOnTrans",
"TotalDedn"
]
},
"CostOfImprovementsType": {
"type": "object",
"additionalProperties": false,
"properties": {
"slno": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ImproveCost": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"ImproveDate": {
"enum": [
"2001-02",
"2002-03",
"2003-04",
"2004-05",
"2005-06",
"2006-07",
"2007-08",
"2008-09",
"2009-10",
"2010-11",
"2011-12",
"2012-13",
"2013-14",
"2014-15",
"2015-16",
"2016-17",
"2017-18",
"2018-19",
"2019-20",
"2020-21",
"2021-22",
"2022-23"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CostOfImpIndex": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
}
},
"required": [
"slno",
"ImproveCost",
"ImproveDate",
"CostOfImpIndex"
]
},
"FullValueConsdRecvUnqshr": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FairMrktValueUnqshr": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FullValueConsdSec50CA": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FullValueConsdOthUnqshr": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FullConsideration": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"PropertyValuation": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"FullConsideration50C": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"BalanceCG": {
"type": "integer",
"maximum": 99999999999999
},
"CapgainonAssets": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"NatureOfIncome": {
"maxLength": 75,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"CountryName": {
"maxLength": 55,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"DTAAarticle": {
"maxLength": 16,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"RateAsPerTreaty": {
"type": "number",
"maximum": 100,
"minimum": 0,
"multipleOf": 0.01,
"exclusiveMinimum": false,
"exclusiveMaximum": false
},
"TaxRescertifiedFlag": {
"description": "Y - Yes; N - No",
"enum": [
"Y",
"N"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"SecITAct": {
"maxLength": 10,
"minLength": 1,
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"RateAsPerITAct": {
"type": "number",
"maximum": 100,
"minimum": 0,
"multipleOf": 0.01,
"exclusiveMinimum": false,
"exclusiveMaximum": false
},
"ApplicableRate": {
"type": "number",
"maximum": 100,
"minimum": 0,
"multipleOf": 0.01,
"exclusiveMinimum": false,
"exclusiveMaximum": false
},
"DTAAamt": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"YrInWhichAssetAcq": {
"enum": [
"2020",
"2021",
"2022"
],
"allOf": [
{
"$ref": "#/definitions/nonEmptyString"
}
]
},
"AmtUtilized": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"AmtUnutilized": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999
},
"ScheduleOS": {
"type": "object",
"additionalProperties": false,
"properties": {
"IncOthThanOwnRaceHorse": {
"type": "object",
"additionalProperties": false,
"properties": {
"GrossIncChrgblTaxAtAppRate": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999,
"default": 0
},
"DividendGross": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"DividendOthThan22e": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"Dividend22e": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false
},
"InterestGross": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999,
"default": 0
},
"IntrstFrmSavingBank": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntrstFrmTermDeposit": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntrstFrmIncmTaxRefund": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"NatofPassThrghIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": -99999999999999,
"default": 0
},
"IntrstSec10XIFirstProviso": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntrstSec10XISecondProviso": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntrstSec10XIIFirstProviso": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntrstSec10XIISecondProviso": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IntrstFrmOthers": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"RentFromMachPlantBldgs": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Tot562x": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Aggrtvaluewithoutcons562x": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Immovpropwithoutcons562x": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Immovpropinadeqcons562x": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Anyotherpropwithoutcons562x": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"Anyotherpropinadeqcons562x": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"FamilyPension": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IncomeNotified89AOS": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IncomeNotified89ATypeOS": {
"type": "array",
"items": {
"$ref": "#/definitions/NOT89AType"
}
},
"IncomeNotifiedOther89AOS": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IncomeNotifiedPrYr89AOS": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"AnyOtherIncome": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"OthersInc": {
"type": "object",
"additionalProperties": false,
"properties": {
"OthersIncDtls": {
"type": "array",
"items": {
"$ref": "#/definitions/OthersIncDtlOS"
}
}
}
},
"IncChargeableSpecialRates": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"LtryPzzlChrgblUs115BB": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"IncChrgblUs115BBE": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"CashCreditsUs68": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"UnExplndInvstmntsUs69": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"UnExplndMoneyUs69A": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"UnDsclsdInvstmntsUs69B": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"UnExplndExpndtrUs69C": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"AmtBrwdRepaidOnHundiUs69D": {
"type": "integer",
"maximum": 99999999999999,
"minimum": 0,
"exclusiveMinimum": false,
"default": 0
},
"TaxAccumulatedBalRecPF": {
"type": "object",
"additionalProperties": false,
"properties": {
"TaxAccmltdBalRecPFDtls": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"AssessmentYear": {
"enum": [
"2000-01",
"2001-02",
"2002-03",
"2003-04",
"2004-05",
[...]
